Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.cms.util
Class CMSAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.eclipse.ohf.ihe.common.ebxml._3._0.cms.util.CMSAdapterFactory

All Implemented Interfaces:
  org.eclipse.emf.common.notify.AdapterFactory

    public class CMSAdapterFactory

extends org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.

See Also:
  `CMSPackage`

Constructor Summary
`CMSAdapterFactory()` Creates an instance of the adapter factory.

Method Summary
`org.eclipse.emf.common.notify.Adapter` | `createAdapter(org.eclipse.emf.common.notify.Notifier target)` Creates an adapter for the `target`.
`org.eclipse.emf.common.notify.Adapter` | `createCatalogContentRequestTypeAdapter()` Creates a new adapter for an object of class '`Catalog Content Request Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createCatalogContentResponseTypeAdapter()` Creates a new adapter for an object of class '`Catalog Content Response Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createContentManagementServiceRequestTypeAdapter()` Creates a new adapter for an object of class '`Content Management Service Request Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createContentManagementServiceResponseTypeAdapter()` Creates a new adapter for an object of class '`Content Management Service Response Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createDocumentRootAdapter()` Creates a new adapter for an object of class '`Document Root`'.
`org.eclipse.emf.common.notify.Adapter` | `createEObjectAdapter()` Creates a new adapter for the default case.
`org.eclipse.emf.common.notify.Adapter` | `createRegistryRequestTypeAdapter()` Creates a new adapter for an object of class '`Request Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createRegistryResponseTypeAdapter()` Creates a new adapter for an object of class '`Response Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createValidateContentRequestTypeAdapter()` Creates a new adapter for an object of class '`Validate Content Request Type`'.
`org.eclipse.emf.common.notify.Adapter` | `createValidateContentResponseTypeAdapter()` Creates a new adapter for an object of class '`Validate Content Response Type`'.
`boolean` | `isFactoryForType(java.lang.Object object)` Returns whether this factory is applicable for the type of the object.

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adapt, adapt, adaptAllNew, adaptNew`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CMSAdapterFactory

    public CMSAdapterFactory()

  Creates an instance of the adapter factory.

Method Detail

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object object)

  Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

  Specified by:
    `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `isFactoryForType` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
  Returns:
    whether this factory is applicable for the type of the object.

### createAdapter

    public org.eclipse.emf.common.notify.Adapter createAdapter(org.eclipse.emf.common.notify.Notifier target)

  Creates an adapter for the `target`.

  Overrides:
    `createAdapter` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
  Parameters:
    `target` - the object to adapt.
  Returns:
    the adapter for the `target`.

### createCatalogContentRequestTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createCatalogContentRequestTypeAdapter()

  Creates a new adapter for an object of class '`Catalog Content Request Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CatalogContentRequestType`

### createCatalogContentResponseTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createCatalogContentResponseTypeAdapter()

  Creates a new adapter for an object of class '`Catalog Content Response Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CatalogContentResponseType`

### createContentManagementServiceRequestTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createContentManagementServiceRequestTypeAdapter()

  Creates a new adapter for an object of class '`Content Management Service Request Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ContentManagementServiceRequestType`

### createContentManagementServiceResponseTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createContentManagementServiceResponseTypeAdapter()

  Creates a new adapter for an object of class '`Content Management Service Response Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ContentManagementServiceResponseType`

### createDocumentRootAdapter

    public org.eclipse.emf.common.notify.Adapter createDocumentRootAdapter()

  Creates a new adapter for an object of class '`Document Root`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DocumentRoot`

### createValidateContentRequestTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createValidateContentRequestTypeAdapter()

  Creates a new adapter for an object of class '`Validate Content Request Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ValidateContentRequestType`

### createValidateContentResponseTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createValidateContentResponseTypeAdapter()

  Creates a new adapter for an object of class '`Validate Content Response Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ValidateContentResponseType`

### createRegistryRequestTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createRegistryRequestTypeAdapter()

  Creates a new adapter for an object of class '`Request Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `RegistryRequestType`

### createRegistryResponseTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createRegistryResponseTypeAdapter()

  Creates a new adapter for an object of class '`Response Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `RegistryResponseType`

### createEObjectAdapter

    public org.eclipse.emf.common.notify.Adapter createEObjectAdapter()

  Creates a new adapter for the default case. This default implementation returns null.

  Returns:
    the new adapter.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD